%!octave 
%
%      
%       OS : GNU/Linux 4.2.5-1-ARCH 
% COMPILER : GNU Octave, version 4.0.0
%
%   AUTHOR : Evgeny S. Borisov
%
%  Glushkov Institute of Cybernetics
%  National Academy of Sciences of Ukraine
% 
%    http://www.mechanoid.kiev.ua
%  e-mail : nn@mechanoid.kiev.ua
% 
% $Id: weight_visualizer.m,v 1.1 2016/03/18 09:46:16 mechanoid Exp $

% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
% визуализация весовой матрицы
%
% W - весовая матрица
% s = [ h w ] - размеры картинки h*w==size(W,2)
%
function weight_visualizer(W,s),

   printf("[i] рисуем карту весов \n");

   Wr = (W ./ norm(W) ); % нормируем 
   
   % создаём список имён файлов для записи в них картинок
   fl={}; 
   for i=1:size(W,1), fl{i}=sprintf("vis_%03i.png",i); endfor
   
   % записываем картинки
   data_save_img(Wr',s,fl,"map");

endfunction



