%!octave 
%
%       OS : GNU/Linux 4.2.5
% COMPILER : GNU Octave, version 4.0.0
%
%   AUTHOR : Evgeny S. Borisov
%
%  Glushkov Institute of Cybernetics
%  National Academy of Sciences of Ukraine
% 
%    http://www.mechanoid.kiev.ua
%  e-mail : nn@mechanoid.kiev.ua
% 
% $Id: data_unpack_img.m,v 1.1 2016/04/02 14:02:18 mechanoid Exp $

% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
% разворачиваем набор многоканальных картинок в матрицу для MLP
%
% X( высота , ширина , канал , номер картинки ) -> X(  высота * ширина * канал, номер картинки )
%
function retval = data_unpack_img(X),

   img_size = size( X(:,:,:,1) ) ; % размер изображения и количество каналов
   img_numb = size( X,4 ) ; % количество изображений
   retval = reshape(X, [ prod(img_size), img_numb ] ) ;

   %num_chan = X{5} ; % количество каналов изображения
   %img_size = X{3} ; % размер изображения
   %img_numb = size(X{2},2) ; % количество изображений
   %retval = reshape(X{1},[prod(img_size)*num_chan,img_numb]) ;
endfunction
