%!octave 
%
%       OS : GNU/Linux 4.2.5
% COMPILER : GNU Octave, version 4.0.0
%
%   AUTHOR : Evgeny S. Borisov
%
%  Glushkov Institute of Cybernetics
%  National Academy of Sciences of Ukraine
% 
%    http://www.mechanoid.kiev.ua
%  e-mail : nn@mechanoid.kiev.ua
% 
% $Id: main_grad.m,v 1.1 2016/04/21 14:06:58 mechanoid Exp $

addpath("../0-data-proc");

split_long_rows(0) ; % set nowrap

% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 


printf("[i] загружаем данные\n"); 

[fl,fc,ft ] = data_path_img();

L = data_load_img(fl); % L={ X,Y,img_size,files_list,num_chan}

printf("[i] загружено %i \n",size(L{2},2));

sz_img = [ L{3}, L{5} ] ; % размер и число каналов входного изображения
sz_out = size(L{2},1) ; % размер выхода сети

load("result/cfg.txt") ;

cn_print_cfg(cfg);

load("result/w.txt");
load("result/trn_par.txt");
 

% X=L{1} ; y=L{2} ; % учебный набор
% num_examples=size(y,2) ; % количество объектов в учебном наборе
% batch_size=max(2,round(num_examples*batch_par)); % количество учебных примеров в одном пакете 
% 
% % случайный пакет из учебных примеров
% batch_idx = randperm(num_examples)(1:batch_size); 
% Lr = { X(:,:,:,batch_idx) , y(:,batch_idx),L{4} };

g = cn_backprop_grad(L,W,cfg); % значение градиента
 



