%!octave 
%
%       OS : GNU/Linux 4.2.5
% COMPILER : GNU Octave, version 4.0.0
%
%   AUTHOR : Evgeny S. Borisov
%
%  Glushkov Institute of Cybernetics
%  National Academy of Sciences of Ukraine
% 
%    http://www.mechanoid.kiev.ua
%  e-mail : nn@mechanoid.kiev.ua
% 
% $Id: cn_kern_visualizer.m,v 1.1 2016/04/21 14:06:58 mechanoid Exp $

% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
% визуализация весовой матрицы
%
% W - наборы ядер
% p - префикс имени файла
%
function cn_kern_visualizer(W,p),

   for i=1:length(W),
	  %K = ( W{i} ./ norm( W{i}(:) ) ); % нормируем 
	  K = W{i} ; 
	  
	  for j=1:size(K,3), 
	     kj=K(:,:,j);
		 f=sprintf("%s-kern-%03i-%03i.png",p,i,j); 
         img_save(kj,f);

		 ft=sprintf("%s-kern-%03i-%03i.txt",p,i,j); 
		 save("-ascii",ft, "kj" ) ;
	  endfor
	  
   endfor

endfunction
