%!octave 
%      
%       OS : GNU/Linux 4.2.5
% COMPILER : GNU Octave, version 4.0.0
%
%   AUTHOR : Evgeny S. Borisov
%
%  Glushkov Institute of Cybernetics
%  National Academy of Sciences of Ukraine
% 
%    http://www.mechanoid.kiev.ua
%  e-mail : nn@mechanoid.kiev.ua
% 
% $Id: cn_run.m,v 1.2 2016/04/08 12:19:38 mechanoid Exp $


% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
function retval=cn_run( X, W, cfg ),
   layers_count = length(cfg) ; % количество слоёв сети, включая вход
   lac=3; % номер ячейки с типом активации
   
   o=X;
   for i=2:layers_count, % для всех обрабатывающих слоёв
      s = cn_layer( o, W, cfg, i ) ; % состояние слоя
	  o = cn_activate( s, cfg{i}{lac} ) ; % активированный выход слоя
   endfor
   retval = o;
endfunction
