%!octave 
%
%
%       OS : GNU/Linux 4.2.5
% COMPILER : GNU Octave, version 4.0.0
%
%   AUTHOR : Evgeny S. Borisov
%
%  Glushkov Institute of Cybernetics
%  National Academy of Sciences of Ukraine
% 
%    http://www.mechanoid.kiev.ua
%  e-mail : nn@mechanoid.kiev.ua
% 
% $Id: cn_state.m,v 1.1 2016/04/21 14:06:58 mechanoid Exp $

% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
function retval=cn_state( X, W, cfg ),
   layers_count = length(cfg) ; % количество слоёв сети, включая вход
   lac=3; % номер ячейки с типом активации
   
   l={};
   l{1}=o=X;
   for i=2:layers_count, 
      l{i} = cn_layer(o,W,cfg,i);
	  o = cn_activate( l{i}, cfg{i}{lac} ) ;
   endfor
   
   retval = l;

endfunction

