%!octave 
%
%
%       OS : GNU/Linux 4.2.5
% COMPILER : GNU Octave, version 4.0.0
%
%   AUTHOR : Evgeny S. Borisov
%
%  Glushkov Institute of Cybernetics
%  National Academy of Sciences of Ukraine
% 
%    http://www.mechanoid.kiev.ua
%  e-mail : nn@mechanoid.kiev.ua
% 
% $Id: data_save_img.m,v 1.1 2016/04/21 14:06:58 mechanoid Exp $


% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
function data_save_img(X,fl,p),
   ex_numb = size(X,4); % количество примеров
   map_numb = size(X,3); % количество карт для каждого примера


   for i=1:ex_numb,
	  for j=1:map_numb,
		 xi=X(:,:,j,i) ;
		 f=sprintf("%s-%03i-%03i-%s",p,i,j,fl{i});
		 img_save( xi, f ) ;
		 ft=sprintf("%s-%03i-%03i-%s.txt",p,i,j,fl{i});
		 save("-ascii",ft, "xi" ) ;
	  endfor
	  printf("     %i / %i          \r",i,ex_numb) ;
   endfor
   printf("\n") ;
endfunction
